import { Renderer2 } from '@angular/core';
export declare class InputHandler {
    private _nfs;
    private _onModelChange;
    private _onModelTouched;
    private _formElement;
    private _renderer;
    private _triggerBackspace;
    private _triggerDelete;
    private _pastSelectionStart;
    private _pastValue;
    private _pastValueDOM;
    private _rawFormat;
    private _formatComma;
    private _maxDigit;
    private _maxDecimal;
    private _allowNegative;
    private _regEx;
    private _regExNumber;
    private _regExNumberAndDecimal;
    private _regExNumberForNegative;
    private _regExNumberAndDecimalForNegative;
    constructor(_formElement: HTMLInputElement, _renderer: Renderer2);
    setFormat(_value: string): void;
    setAllowNegative(_value: boolean): void;
    handleKeyDown(_event: KeyboardEvent): void;
    handleClick(_event: Event): void;
    handleInput(_event: Event): void;
    handleBlur(_event: Event): void;
    handleWriteValue(_value: string | number): void;
    applyMask(_value: string): string;
    getOnModelChange(): Function;
    setOnModelChange(callbackFunction: Function): void;
    getOnModelTouched(): Function;
    setOnModelTouched(callbackFunction: Function): void;
    private setCursorAt;
    private processCursorPosition;
    private setFormElementProperty;
    private manageBackspaceKey;
    private manageDeleteKey;
    private validateByRegEx;
    private setPastValue;
    private setMaxDigitAndMaxDecimal;
    private fixBugOnMicrosoftEdgeAndIE;
    private processFirstNumberWhenValueAtZero;
    private processDecimalValue;
}
//# sourceMappingURL=input.handler.d.ts.map