import { ElementRef, Renderer2 } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class NgxNumberFormatDirective implements ControlValueAccessor {
    private _el;
    private _renderer;
    private inputHandler;
    constructor(_el: ElementRef, _renderer: Renderer2);
    set initialize(_format: string);
    set allowNegative(_allow: boolean);
    onKeyDown(_event: KeyboardEvent): void;
    onClick(_event: Event): void;
    onInput(_event: Event): void;
    onBlur(_event: Event): void;
    writeValue(_value: string | number): void;
    registerOnChange(_cb: Function): void;
    registerOnTouched(_cb: Function): void;
    setDisabledState?(value: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxNumberFormatDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgxNumberFormatDirective, "[ngxNumberFormat]", never, { "initialize": { "alias": "ngxNumberFormat"; "required": false; }; "allowNegative": { "alias": "allowNegative"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=ngx-number-format.directive.d.ts.map